Confirming an incident link: uses it up, acknowledges or resolves the incident as the recipient, revokes the incident's other links and cancels escalation. This is the button on the GET page. Unauthenticated: the single-use token is the credential.
POST
/incident/action/{token}
const url = 'https://api.siteqwality.com/incident/action/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/incident/action/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” token
required
string
Single-use incident action token from an email or SMS
Responses
Section titled “ Responses ”Action applied (HTML result page)
Media type text/html
Unknown link. Nothing is changed.
Media type text/html
Retired, used, expired or superseded link. Nothing is changed.
Media type text/html
The link could not be processed
Media type text/html